Package com.io7m.idstore.protocol.admin.cb

# Record Class IdA1CommandUserEmailAdd

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1CommandUserEmailAdd

Record Components:
  `fieldUserId` - The user.
  `fieldEmail` - The email address.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`, `ProtocolIdA1Type`, `ProtocolIdA1v1Type`

public record IdA1CommandUserEmailAdd(com.io7m.cedarbridge.runtime.api.CBUUID fieldUserId, com.io7m.cedarbridge.runtime.api.CBString fieldEmail) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolIdA1v1Type
Add an email address to the given user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1CommandUserEmailAdd(com.io7m.cedarbridge.runtime.api.CBUUID fieldUserId, com.io7m.cedarbridge.runtime.api.CBString fieldEmail)`
  Creates an instance of a `IdA1CommandUserEmailAdd` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdA1CommandUserEmailAdd`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1CommandUserEmailAdd.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldEmail()`
  Returns the value of the `fieldEmail` record component.
  `com.io7m.cedarbridge.runtime.api.CBUUID`
  `fieldUserId()`
  Returns the value of the `fieldUserId` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1CommandUserEmailAdd $x)`
  Serialize a value of type IdA1CommandUserEmailAdd.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdA1CommandUserEmailAdd

    public IdA1CommandUserEmailAdd(com.io7m.cedarbridge.runtime.api.CBUUID fieldUserId, com.io7m.cedarbridge.runtime.api.CBString fieldEmail)
    Creates an instance of a `IdA1CommandUserEmailAdd` record class.
    Parameters:
      `fieldUserId` - the value for the `fieldUserId` record component
      `fieldEmail` - the value for the `fieldEmail` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1CommandUserEmailAdd $x) throws IOException
    Serialize a value of type IdA1CommandUserEmailAdd.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdA1CommandUserEmailAdd deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1CommandUserEmailAdd.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1CommandUserEmailAdd.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldUserId

    public com.io7m.cedarbridge.runtime.api.CBUUID fieldUserId()
    Returns the value of the `fieldUserId` record component.
    Returns:
      the value of the `fieldUserId` record component

  - ### fieldEmail

    public com.io7m.cedarbridge.runtime.api.CBString fieldEmail()
    Returns the value of the `fieldEmail` record component.
    Returns:
      the value of the `fieldEmail` record component